## pam 1.0.1-maemo2

=== debian/changelog ===
pam (1.0.1-maemo2) stable; urgency=high

  * fixed postinst script from bash to sh - thanks to woody14619

 -- Thomas Maass <mase@setho.org>  Mon, 21 Feb 2011 19:24:00 +0200

=== debian/control ===
Source: pam
Section: libs
Priority: optional
Maintainer: Thomas Maass <mase@setho.org>
Standards-Version: 3.8.0
Build-Depends: libcrack2-dev (>= 2.8), bzip2, debhelper, quilt, flex, libdb-dev, libselinux1-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64 !netbsd-i386], po-debconf
Build-Depends-Indep: xsltproc, libxml2-utils, docbook-xml, docbook-xsl, w3m
Build-Conflicts-Indep: fop
Build-Conflicts: libxcrypt-dev
Vcs-Bzr: http://bzr.debian.org/bzr/pkg-pam/debian/sid/
Homepage: http://pam.sourceforge.net/

Package: libpam0g
Priority: required
Architecture: any
Conflicts: libpam0 (<= 0.56-2), libpam
Replaces: libpam0g-util
Depends: ${shlibs:Depends}, ${misc:Depends}, libpam-runtime
Suggests: libpam-doc
Description: Pluggable Authentication Modules library
 Contains the C shared library for Linux-PAM, a suite of shared
 libraries that enable the local system administrator to choose how
 applications authenticate users.  In other words, without rewriting
 or recompiling a PAM-aware application, it is possible to switch
 between the authentication mechanism(s) it uses.  One may entirely
 upgrade the local authentication system without touching the
 applications themselves.

Package: libpam-modules
Priority: required
Architecture: any
Pre-Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libpam0g-modules (= 0.66-1), libpam-motd, libpam-mkhomedir, libpam-umask, suidmanager (<< 0.50)
Replaces: libpam0g-util, libpam-umask
Provides: libpam-motd, libpam-mkhomedir, libpam-umask
Description: Pluggable Authentication Modules for PAM
 This package completes the set of modules for PAM. It includes the
  pam_unix_*.so module as well as some specialty modules.

Package: libpam-runtime
Section: admin
Priority: required
Architecture: all
Replaces: libpam0g-util, libpam0g-dev
Conflicts: libpam0g-util, libpam0g (<< 0.66-0)
Description: Runtime support for the PAM library
 Contains configuration files and  directories required for
 authentication  to work on Debian systems.  This package is required
 on almost all installations.

Package: libpam0g-dev
Section: libdevel
Priority: optional
Architecture: any
Depends: libpam0g (= ${binary:Version}), libc6-dev|libc-dev
Conflicts: libpam-dev, libpam-dbg
Replaces: libpam0g (<= 0.65)
Provides: libpam-dev
Description: Development files for PAM
 Contains C header files and development shared libraries for libpam, the
 pluggable authentication modules, a suite of shared libraries that enable
 the local system administrator to choose how applications authenticate
 users.
 .
 PAM decouples applications from the authentication mechanism, making it
 possible to upgrade the authentication system without recompiling or
 rewriting the applications.

Package: libpam-cracklib
Priority: optional
Architecture: any
Replaces: libpam0g-cracklib
Depends: ${shlibs:Depends}, cracklib-runtime, wamerican | wordlist
Description: PAM module to enable cracklib support
 This package includes libpam_cracklib, a PAM module that tests
 passwords to make sure they are not too weak during password change.

Package: libpam-doc
Provides: pam-doc
Section: doc
Priority: optional
Architecture: all
Description: Documentation of PAM
 Contains documentation (in HTML, ASCII, and PostScript format) for
 libpam, the Pluggable Authentication Modules library, a suite of shared
 libraries that enable the local system administrator to choose how
 applications authenticate users.

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# This version is for a hypothetical package that builds an
# architecture-dependant package, as well as an architecture-independant
# package.

CFLAGS	:= -g -D_GNU_SOURCE -D_REENTRANT -fPIC

ifeq (,$(findstring noopt, ${DEB_BUILD_OPTIONS}))
CFLAGS += -O2
endif

DEB_HOST_GNU_TYPE	:= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE	:= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
  conf_args = --build $(DEB_BUILD_GNU_TYPE)
else
  conf_args = --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif

LC_COLLATE=C
export LC_COLLATE

QUILT_PATCH_DIR = debian/patches-applied
include /usr/share/quilt/quilt.make

BUILD_TREE=$(CURDIR)

d = $(CURDIR)/debian
dl = $(d)/local
i = install -p -m 0644
ie = install -p -m 0755

build: configure build-stamp
build-stamp:
	dh_testdir

	# Compile everything else
	$(MAKE) -C $(BUILD_TREE) CFLAGS="$(CFLAGS)"

	pod2man --section 8 --release="Debian GNU/Linux" $(dl)/pam_getenv >$(dl)/pam_getenv.8

	touch build-stamp

configure: patch configure-stamp
configure-stamp:
	cd $(BUILD_TREE) && \
	./configure $(conf_args) \
	--sysconfdir=/etc --prefix=/usr --enable-static --enable-shared \
	--mandir=/usr/share/man --infodir=/usr/share/info --libdir=/lib \
	--sbindir=/sbin --enable-docdir=/usr/share/doc/libpam-doc \
	--with-mailspool=/var/mail --disable-audit
	touch configure-stamp


clean: clean-patched unpatch

clean-patched:
	dh_testdir
	dh_testroot
	[ ! -f $(BUILD_TREE)/Makefile ] || $(MAKE) -C $(BUILD_TREE) distclean
	rm -f $(dl)/pam_getenv.8
	rm -f build-stamp configure-stamp
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	$(MAKE) -C $(BUILD_TREE) DESTDIR=$(CURDIR)/debian/tmp install

	# .la files are teh devil
	rm -f $(CURDIR)/debian/tmp/lib/*.la
	# for modules, we only want the .so
	rm -f $(CURDIR)/debian/tmp/lib/security/*.la \
	      $(CURDIR)/debian/tmp/lib/security/*.a

# Build architecture-independent files here.
binary-indep: install
	dh_testdir -i
	dh_testroot -i

	mkdir -p debian/tmp/etc/pam.d
	mkdir -p debian/tmp/usr/share/pam
	$(i) $(dl)/pam.conf $(d)/tmp/etc
	-mkdir -p $(d)/tmp/usr/sbin $(d)/tmp/usr/share/man/man8
	$(ie) $(dl)/pam_getenv $(d)/tmp/usr/sbin
	$(i) $(dl)/other $(d)/tmp/etc/pam.d
	$(i) $(dl)/common-* $(d)/tmp/usr/share/pam/

	dh_install -i

	dh_installman -i
	dh_installdocs -i
	dh_installchangelogs -i $(BUILD_TREE)/ChangeLog
	dh_compress -i -X.html
	dh_link -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: install
	dh_testdir -a
	dh_testroot -a

	mkdir -p debian/tmp/usr/lib
	mv debian/tmp/lib/*.a debian/tmp/usr/lib
	dh_movefiles  -plibpam0g-dev -plibpam-cracklib -plibpam0g
	dh_movefiles -plibpam-modules `cd $(d)/tmp && ls lib/security/*.so`
	dh_link -a
	dh_installman -a
	rm -rf $(d)/libpam-modules/usr/share/man/man7
	rm -f $(d)/libpam-modules/usr/share/man/man8/pam.8
	rm -f $(d)/libpam-modules/usr/share/man/man5/pam.conf.5
	rm -f $(d)/libpam-modules/usr/share/man/man5/pam.d.5

	dh_installdebconf -a
	dh_installdocs -a $(BUILD_TREE)/README
	dh_installexamples -a
	find $(d)/libpam0g-dev/usr/share/doc/libpam0g-dev/examples -type f -name 'Makefile*' -print0 | xargs -0 rm -f

	dh_installcron -a

	dh_installchangelogs -a $(BUILD_TREE)/ChangeLog
	for pkg in libpam0g libpam-modules; do \
		install -m 0644 -D $(d)/$$pkg.lintian $(d)/$$pkg/usr/share/lintian/overrides/$$pkg || exit; \
	done

	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	chgrp shadow $(d)/libpam-modules/sbin/unix_chkpwd
	chmod 02755 $(d)/libpam-modules/sbin/unix_chkpwd
	dh_makeshlibs -plibpam0g -V "libpam0g (>= 0.99.10.0)"
	dh_installdeb -a
	dh_shlibdeps -a -L libpam0g -l$(CURDIR)/debian/libpam0g/lib
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary patch unpatch install configure

=== debian/watch ===
version=3
opts=pasv ftp://ftp.kernel.org/pub/linux/libs/pam/library/Linux-PAM-(.*).tar.gz

## pam 1.0.1-maemo3

=== debian/changelog ===
pam (1.0.1-maemo3) unstable; urgency=low

  * Fixed docs.
  * Removed selinux.

 -- Thomas Maass <mase@setho.org>  Wed, 23 Feb 2011 18:32:00 +0200

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,10 @@
 Priority: optional
 Maintainer: Thomas Maass <mase@setho.org>
 Standards-Version: 3.8.0
-Build-Depends: libcrack2-dev (>= 2.8), bzip2, debhelper, quilt, flex, libdb-dev, libselinux1-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64 !netbsd-i386], po-debconf
+Build-Depends: libcrack2-dev (>= 2.8), bzip2, debhelper, quilt, flex, libdb-dev, po-debconf
 Build-Depends-Indep: xsltproc, libxml2-utils, docbook-xml, docbook-xsl, w3m
 Build-Conflicts-Indep: fop
 Build-Conflicts: libxcrypt-dev
-Vcs-Bzr: http://bzr.debian.org/bzr/pkg-pam/debian/sid/
 Homepage: http://pam.sourceforge.net/
 
 Package: libpam0g

=== debian/rules ===
--- 
+++ 
@@ -51,7 +51,7 @@
 	--sysconfdir=/etc --prefix=/usr --enable-static --enable-shared \
 	--mandir=/usr/share/man --infodir=/usr/share/info --libdir=/lib \
 	--sbindir=/sbin --enable-docdir=/usr/share/doc/libpam-doc \
-	--with-mailspool=/var/mail --disable-audit
+	--with-mailspool=/var/mail --disable-audit --disable-selinux
 	touch configure-stamp
 
 
@@ -95,7 +95,7 @@
 	dh_install -i
 
 	dh_installman -i
-	dh_installdocs -i
+	dh_installdocs -i debian/README.Maemo
 	dh_installchangelogs -i $(BUILD_TREE)/ChangeLog
 	dh_compress -i -X.html
 	dh_link -i
@@ -121,7 +121,7 @@
 	rm -f $(d)/libpam-modules/usr/share/man/man5/pam.d.5
 
 	dh_installdebconf -a
-	dh_installdocs -a $(BUILD_TREE)/README
+	dh_installdocs -a $(BUILD_TREE)/README debian/README.Maemo
 	dh_installexamples -a
 	find $(d)/libpam0g-dev/usr/share/doc/libpam0g-dev/examples -type f -name 'Makefile*' -print0 | xargs -0 rm -f

## pam 1.0.2

=== DESCRIPTION ===
Package: pam
Type: Package
Title: Fast and Efficient Processing of PAM Data
Version: 1.0.2
Authors@R: c(
    person(
        "Julien",
        "Böhm",
        email = "julien.boehm@uni-rostock.de",
        role = c("cre", "aut"),
        comment = c(ORCID = "0009-0002-2704-2289")
    ),
    person(
        "Philipp",
        "Schrag",
        role = "aut",
        comment = c(ORCID = "0009-0002-7697-5536")
    )
    )
URL: https://github.com/biotoolbox/pam
BugReports: https://github.com/biotoolbox/pam/issues
Description: Processing Chlorophyll Fluorescence & P700 Absorbance data generated by WALZ hardware. Four models are provided for the regression of Pi curves, which can be compared with each other in order to select the most suitable model for the data set. Control plots ensure the successful verification of each regression. Bundled output of alpha, ETRmax, Ik etc. enables fast and reliable further processing of the data. 
License: GPL-3
Encoding: UTF-8
Suggests: testthat (>= 3.0.0)
Config/testthat/edition: 3
RoxygenNote: 7.3.2
Imports: rlang, data.table, dplyr, ggplot2, minpack.lm, cowplot,
        gridExtra, ggthemes
NeedsCompilation: no
Packaged: 2025-02-25 09:04:06 UTC; julien
Author: Julien Böhm [cre, aut] (<https://orcid.org/0009-0002-2704-2289>),
  Philipp Schrag [aut] (<https://orcid.org/0009-0002-7697-5536>)
Maintainer: Julien Böhm <julien.boehm@uni-rostock.de>
Repository: CRAN
Date/Publication: 2025-02-25 09:30:02 UTC

## pam 1.0.4

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: pam
 Type: Package
 Title: Fast and Efficient Processing of PAM Data
-Version: 1.0.2
+Version: 1.0.4
 Authors@R: c(
     person(
         "Julien",
@@ -28,9 +28,9 @@
 Imports: rlang, data.table, dplyr, ggplot2, minpack.lm, cowplot,
         gridExtra, ggthemes
 NeedsCompilation: no
-Packaged: 2025-02-25 09:04:06 UTC; julien
-Author: Julien Böhm [cre, aut] (<https://orcid.org/0009-0002-2704-2289>),
-  Philipp Schrag [aut] (<https://orcid.org/0009-0002-7697-5536>)
+Packaged: 2025-07-29 11:46:56 UTC; julien
+Author: Julien Böhm [cre, aut] (ORCID: <https://orcid.org/0009-0002-2704-2289>),
+  Philipp Schrag [aut] (ORCID: <https://orcid.org/0009-0002-7697-5536>)
 Maintainer: Julien Böhm <julien.boehm@uni-rostock.de>
 Repository: CRAN
-Date/Publication: 2025-02-25 09:30:02 UTC
+Date/Publication: 2025-07-29 12:20:10 UTC

## pam 1.0.6

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: pam
 Type: Package
 Title: Fast and Efficient Processing of PAM Data
-Version: 1.0.4
+Version: 1.0.6
 Authors@R: c(
     person(
         "Julien",
@@ -28,9 +28,9 @@
 Imports: rlang, data.table, dplyr, ggplot2, minpack.lm, cowplot,
         gridExtra, ggthemes
 NeedsCompilation: no
-Packaged: 2025-07-29 11:46:56 UTC; julien
+Packaged: 2025-08-27 13:59:17 UTC; julien
 Author: Julien Böhm [cre, aut] (ORCID: <https://orcid.org/0009-0002-2704-2289>),
   Philipp Schrag [aut] (ORCID: <https://orcid.org/0009-0002-7697-5536>)
 Maintainer: Julien Böhm <julien.boehm@uni-rostock.de>
 Repository: CRAN
-Date/Publication: 2025-07-29 12:20:10 UTC
+Date/Publication: 2025-08-27 16:20:10 UTC

## pam 1.1.8-3.6ubuntu2

=== debian/changelog ===
pam (1.1.8-3.6ubuntu2) bionic; urgency=medium

  * pam-auth-update: Add support for --enable option which is useful for
    enabling non-default configs without asking the admin. (LP:
    #1192719)

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 05 Apr 2018 15:27:42 +0300

pam (1.1.8-3.6ubuntu1) bionic; urgency=medium

  * Merge with Debian unstable.
    - Fixes unescaped brace in pam_getenv regex.  LP: #1538284.
    - Fixes pam_namespace defaults for compatibility with dash.  LP: #1081323.
  * Remaining changes:
    - debian/control: have libpam-modules recommend update-motd package
    - debian/libpam-modules.postinst: Add PATH to /etc/environment if it's
      not present there or in /etc/security/pam_env.conf. (should send to
      Debian).
    - debian/libpam0g.postinst: only ask questions during update-manager when
      there are non-default services running.
    - debian/libpam0g.postinst: check if gdm is actually running before
      trying to reload it.
    - debian/libpam0g.postinst: the init script for 'samba' is now named
      'smbd' in Ubuntu, so fix the restart handling.
    - debian/patches-applied/ubuntu-rlimit_nice_correction: Explicitly
      initialise RLIMIT_NICE rather than relying on the kernel limits.
    - debian/patches-applied/pam_umask_usergroups_from_login.defs.patch:
      Deprecate pam_unix's explicit "usergroups" option and instead read it
      from /etc/login.def's "USERGROUP_ENAB" option if umask is only defined
      there. This restores compatibility with the pre-PAM behaviour of login.
    - debian/patches-applied/pam_motd-legal-notice: display the contents of
      /etc/legal once, then set a flag in the user's homedir to prevent
      showing it again.
    - debian/update-motd.5, debian/libpam-modules.manpages: add a manpage
      for update-motd, with some best practices and notes of explanation.
    - debian/patches/update-motd-manpage-ref: add a reference in pam_motd(8)
      to update-motd(5)
    - debian/local/common-session{,-noninteractive}: Enable pam_umask by
      default, now that the umask setting is gone from /etc/profile.
    - debian/local/pam-auth-update: Add the new md5sums for pam_umask addition.
    - debian/patches-applied/extrausers.patch: Add a pam_extrausers module
      that is basically just a copy of pam_unix but looks at
      /var/lib/extrausers/{group,passwd,shadow} instead of /etc/
    - debian/libpam-modules-bin.install: install the helper binaries for
      pam_extrausers to /sbin
    - debian/rules: Make pam_extrausers_chkpwd sguid shadow
    - pam-configs/mkhomedir: Added a config for pam_mkhomedir, disabled
      by default.
    - don't notify about xdm restarts during a release-upgrade
    - debian/patches-applied/cve-2015-3238.patch: removed manpage changes
      so they don't get regenerated during build and cause a multiarch
      installation issue.
  * Dropped changes, included in Debian:
    - Build-depend on libfl-dev.
    - debian/patches-applied/pam-limits-nofile-fd-setsize-cap: cap the default
      soft nofile limit read from pid 1 to FD_SETSIZE.
  * Fix references to /var/run in update-motd.5.  LP: #1571864
  * Fix service restart handling to integrate with systemd instead of
    upstart.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 26 Oct 2017 23:23:18 -0700

pam (1.1.8-3.6) unstable; urgency=medium

  * Non-maintainer upload.
  * cve-2015-3238.patch: Add the changes in the generated pam_exec.8
    and pam_unix.8 in addition to (and after) the changes to the
    source .xml files. This avoids unwanted rebuilds that can cause
    problems due to differing files on different architectures of
    the Multi-Arch: same libpam-modules. (Closes: #851545)

 -- Adrian Bunk <bunk@debian.org>  Sat, 27 May 2017 18:44:02 +0300

pam (1.1.8-3.5) unstable; urgency=medium

  * Non-maintainer upload.
  * Build-Depend on libfl-dev:native as well, for cross builds.
    Re-closes: #846459
  * Fix "Unescaped left brace in regex" with Perl 5.22. Closes: #810873

 -- Adam Borowski <kilobyte@angband.pl>  Fri, 30 Dec 2016 14:37:29 +0100

pam (1.1.8-3.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Add libfl-dev to Build-Depends, fixing FTBFS.  Closes: #846459
  * Move xsl stuff to Build-Depends from -Indep to fix misbuilt manpages.
    Closes: #812566

 -- Adam Borowski <kilobyte@angband.pl>  Sun, 18 Dec 2016 01:03:58 +0100

pam (1.1.8-3.3) unstable; urgency=low

  * Non-maintainer upload.
  [ Steve Langasek ]
  * Updated Swedish translation to correct a typo, thanks to Anders Jonsson
    and Martin Bagge.  Closes: #743875
  * Updated Turkish translation, thanks to Mert Dirik <mertdirik@gmail.com>.
    (closes: #756756)
  * d/applied-patches/pam-limits-nofile-fd-setsize-cap: cap the default
    soft nofile limit read from pid 1 to FD_SETSIZE.  Thanks to Robie Basak
    <robie.basak@ubuntu.com> for the patch.  Closes: #783105.
  * Acknowledge security NMU.
  * pam-auth-update: don't mishandle trailing whitespace in profiles.
    LP: #1487103.

  [ Laurent Bigonville ]
  * debian/control: Fix Vcs-* and Homepage fields (Closes: #752343)
  * debian/watch: Update watch file and point it to http://www.linux-pam.org
  * debian/patches-applied/pam_namespace_fix_bashism.patch: Fix bashism in
    namespace.init script (Closes: #624842)
  * debian/control: Build-depends against debhelper (>= 9) to match the
    defined debhelper compatibility
  * Rename the cve-2011-4708.patch to cve-2010-4708.patch to match reality,
    thanks to Jakub Wilk <jwilk@debian.org> for noticing (Closes: #761594)
  * debian/control: Bump Standards-Version to 3.9.8 (no further changes)
  * debian/libpam-doc.doc-base.applications-guide: Fix spelling
  * debian/libpam0g-dev.examples: Do not use shell brace expansion
  * debian/patches-applied/pam-loginuid-in-containers: Updated with the version
    from Ubuntu, this should fix logins in containers (Closes: #726661)


=== debian/rules ===
#!/usr/bin/make -f

DEB_LDFLAGS_MAINT_APPEND := -Wl,-z,defs
DEB_CFLAGS_MAINT_APPEND  := $(shell getconf LFS_CFLAGS)
export DEB_LDFLAGS_MAINT_APPEND DEB_CFLAGS_MAINT_APPEND
ifeq ($(shell dpkg-architecture -qDEB_BUILD_ARCH_OS),hurd)
DEB_LDFLAGS_MAINT_APPEND += -lpthread
endif

DEB_HOST_MULTIARCH	:= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

LC_COLLATE=C
export LC_COLLATE

export QUILT_PATCH_DIR = debian/patches-applied

d = $(CURDIR)/debian
dl = $(d)/local

%:
	dh $@ --with quilt,autoreconf

# avoid libaudit-dev when bootstrapping
ifneq (,$(filter $(DEB_BUILD_PROFILE),stage1))
  CONFIGURE_OPTS += --disable-audit
endif  

override_dh_auto_configure:
	dh_auto_configure -- --enable-static --enable-shared \
		--libdir=/lib/$(DEB_HOST_MULTIARCH) \
		--enable-isadir=/lib/security \
		$(CONFIGURE_OPTS)

# .install files don't have "except for" handling, so we need to exclude
# our module that doesn't match right here
override_dh_install:
	sed -e"s/@DEB_HOST_MULTIARCH@/$(DEB_HOST_MULTIARCH)/g" $(d)/libpam0g-dev.install.in > $(d)/libpam0g-dev.install
ifneq (,$(findstring libpam-modules, $(shell dh_listpackages)))
	dh_install -plibpam-modules -Xpam_cracklib
endif
	dh_install -Nlibpam-modules

# again, excluding files by hand; also, build our local manpage for pam_getenv
# from the XML
override_dh_installman:
	pod2man --section 8 --release="Debian GNU/Linux" $(dl)/pam_getenv >$(dl)/pam_getenv.8
	dh_installman
	rm -f $(d)/libpam-modules/usr/share/man/man5/pam.conf.5
	rm -f $(d)/libpam-modules/usr/share/man/man8/pam_cracklib.8
	rm -f $(d)/libpam-modules/usr/share/man/man8/pam_timestamp_check.8

# dh_link doesn't do wildcards, so we can't auto-link to the right per-arch
# directory
override_dh_link:
	sed -e"s/@DEB_HOST_MULTIARCH@/$(DEB_HOST_MULTIARCH)/g" $(d)/libpam0g-dev.links.in > $(d)/libpam0g-dev.links
	dh_link

# using perms that differ from upstream (sgid instead of suid) /and/ that
# dh_fixperms doesn't want
override_dh_fixperms:
	dh_fixperms
ifneq (,$(findstring libpam-modules, $(shell dh_listpackages)))
	chgrp shadow $(d)/libpam-modules-bin/sbin/unix_chkpwd
	chmod 02755 $(d)/libpam-modules-bin/sbin/unix_chkpwd
	chgrp shadow $(d)/libpam-modules-bin/sbin/pam_extrausers_chkpwd
	chmod 02755 $(d)/libpam-modules-bin/sbin/pam_extrausers_chkpwd
endif

## pam 1.1.8-3.6ubuntu2.18.04.1

=== debian/changelog ===
pam (1.1.8-3.6ubuntu2.18.04.1) bionic; urgency=medium

  * debian/patches-applied/fix-pam_tty_audit.patch: (LP: #1666203)
    Fix pam_tty_audit log_passwd support and regression.

 -- Eric Desrochers <eric.desrochers@canonical.com>  Wed, 27 Feb 2019 14:26:50 +0000

## pam 1.1.8-3.6ubuntu2.18.04.3

=== debian/changelog ===
pam (1.1.8-3.6ubuntu2.18.04.3) bionic; urgency=medium

  * Backport pam_faillock module from pam 1.4.0 (LP: #1927796)
    - debian/patches-applied/add_pam_faillock.patch: add module.
    - debian/patches-applied/pam_faillock_create_directory: create dir
      before creating file in modules/pam_faillock/faillock.c.
    - debian/rules: set execute permissions on pam_faillock test.
    - debian/libpam-modules-bin.install: install faillock binary and man
      page.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 08 Apr 2021 07:27:58 -0400

pam (1.1.8-3.6ubuntu2.18.04.2) bionic; urgency=medium

  * debian/libpam-modules.postinst: Add /snap/bin to $PATH in
    /etc/environment. (LP: #1659719)

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 22 Jul 2020 11:40:59 +1200

## pam 1.1.8-3.6ubuntu2.18.04.6

=== debian/changelog ===
pam (1.1.8-3.6ubuntu2.18.04.6) bionic-security; urgency=medium

  * SECURITY REGRESSION: fix CVE-2022-28321 patch location
    - debian/patches-applied/CVE-2022-28321.patch: pam_access: handle
      hostnames in access.conf
    - CVE-2022-28321

 -- Nishit Majithia <nishit.majithia@canonical.com>  Thu, 02 Feb 2023 14:54:07 +0530

pam (1.1.8-3.6ubuntu2.18.04.4) bionic-security; urgency=medium

  * SECURITY UPDATE: authentication bypass vulnerability
    - debian/patches/CVE-2022-28321.patch: pam_access: handle hostnames in
      access.conf
    - CVE-2022-28321

 -- Nishit Majithia <nishit.majithia@canonical.com>  Tue, 24 Jan 2023 17:30:04 +0530

=== debian/control ===
Source: pam
Section: libs
Priority: optional
Uploaders: Sam Hartman <hartmans@debian.org>, Roger Leigh <rleigh@debian.org>
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Steve Langasek <vorlon@debian.org>
Standards-Version: 3.9.8
Build-Depends: libcrack2-dev (>= 2.8), bzip2, debhelper (>= 9), quilt (>= 0.48-1), flex, libdb-dev, libselinux1-dev [linux-any], po-debconf, dh-autoreconf, autopoint, libaudit-dev [linux-any], pkg-config, libfl-dev, libfl-dev:native, docbook-xsl, docbook-xml, xsltproc, libxml2-utils, w3m
Build-Conflicts-Indep: fop
Build-Conflicts: libdb4.2-dev, libxcrypt-dev
Vcs-Bzr: https://code.launchpad.net/~ubuntu-core-dev/pam/ubuntu
XS-Debian-Vcs-Bzr: https://alioth.debian.org/scm/loggerhead/pkg-pam/debian/sid
XS-Debian-Vcs-Browser: https://alioth.debian.org/scm/loggerhead/pkg-pam/debian/sid/files
Homepage: http://www.linux-pam.org/

Package: libpam0g
Priority: required
Architecture: any
Multi-Arch: same
Replaces: libpam0g-util
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Suggests: libpam-doc
Description: Pluggable Authentication Modules library
 Contains the shared library for Linux-PAM, a library that enables the
 local system administrator to choose how applications authenticate users.
 In other words, without rewriting or recompiling a PAM-aware application,
 it is possible to switch between the authentication mechanism(s) it uses.
 One may entirely upgrade the local authentication system without touching
 the applications themselves.

Package: libpam-modules
Section: admin
Priority: required
Architecture: any
Multi-Arch: same
Pre-Depends: ${shlibs:Depends}, ${misc:Depends}, libpam0g (>= 1.1.3-2),
	libpam-modules-bin (= ${binary:Version})
Conflicts: libpam-motd, libpam-mkhomedir, libpam-umask
Replaces: libpam0g-util, libpam-umask
Recommends: update-motd
Provides: libpam-motd, libpam-mkhomedir, libpam-umask
Description: Pluggable Authentication Modules for PAM
 This package completes the set of modules for PAM. It includes the
  pam_unix.so module as well as some specialty modules.

Package: libpam-modules-bin
Section: admin
Priority: required
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libpam-modules (<< 1.1.3-8)
Description: Pluggable Authentication Modules for PAM - helper binaries
 This package contains helper binaries used by the standard set of PAM
 modules in the libpam-modules package.

Package: libpam-runtime
Section: admin
Priority: required
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, debconf (>= 1.5.19) | cdebconf, libpam-modules (>= 1.0.1-6)
Replaces: libpam0g-util, libpam0g-dev
Conflicts: libpam0g-util
Description: Runtime support for the PAM library
 Contains configuration files and  directories required for
 authentication  to work on Debian systems.  This package is required
 on almost all installations.

Package: libpam0g-dev
Section: libdevel
Priority: optional
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, libpam0g (= ${binary:Version}), libc6-dev|libc-dev
Provides: libpam-dev
Description: Development files for PAM
 Contains C header files and development libraries for libpam, the Pluggable
 Authentication Modules, a library that enables the local system
 administrator to choose how applications authenticate users.
 .
 PAM decouples applications from the authentication mechanism, making it
 possible to upgrade the authentication system without recompiling or
 rewriting the applications.

Package: libpam-cracklib
Section: admin
Priority: optional
Architecture: any
Multi-Arch: same
Replaces: libpam0g-cracklib, libpam-modules (<< 1.1.0-3)
Depends: ${misc:Depends}, ${shlibs:Depends}, libpam-runtime (>= 1.0.1-6), cracklib-runtime, wamerican | wordlist
Description: PAM module to enable cracklib support
 This package includes libpam_cracklib, a PAM module that tests
 passwords to make sure they are not too weak during password change.

Package: libpam-doc
Provides: pam-doc
Section: doc
Priority: optional
Architecture: all
Depends: ${misc:Depends}
Description: Documentation of PAM
 Contains documentation (in HTML, ASCII, and PostScript format) for libpam,
 the Pluggable Authentication Modules library, a library that enables the
 local system administrator to choose how applications authenticate users.

=== debian/rules ===
--- 
+++ 
@@ -30,6 +30,7 @@
 		--libdir=/lib/$(DEB_HOST_MULTIARCH) \
 		--enable-isadir=/lib/security \
 		$(CONFIGURE_OPTS)
+	chmod 775 modules/pam_faillock/tst-pam_faillock
 
 # .install files don't have "except for" handling, so we need to exclude
 # our module that doesn't match right here

=== debian/watch ===
version=3
opts=uversionmangle=s/^(\S+-doc)/0.0.$1/ \
http://www.linux-pam.org/library/ \
(?:|.*/)Linux-PAM(?:[_\-]v?|)(\d[^\s/]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)

## pam 1.1.8-3.6ubuntu3

=== debian/changelog ===
pam (1.1.8-3.6ubuntu3) cosmic; urgency=medium

  * debian/patches-applied/fix-pam_tty_audit.patch: (LP: #1666203)
    Fix pam_tty_audit log_passwd support and regression.

 -- Eric Desrochers <eric.desrochers@canonical.com>  Thu, 28 Feb 2019 01:20:35 +0000

## pam 1.3.1

=== debian/changelog ===
pam (1.3.1-5ubuntu4) focal; urgency=medium

  * Return only PAM_IGNORE or error from pam_motd (LP: #1856703)

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 17 Dec 2019 17:41:40 +0100

pam (1.3.1-5ubuntu3) focal; urgency=medium

  * Fix patches to fix FTBFS

 -- Balint Reczey <rbalint@ubuntu.com>  Thu, 05 Dec 2019 13:18:35 +0100

pam (1.3.1-5ubuntu2) focal; urgency=medium

  * pam_motd: Export MOTD_SHOWN=pam after showing MOTD (LP: #1855092)

 -- Balint Reczey <rbalint@ubuntu.com>  Wed, 04 Dec 2019 12:23:57 +0100

pam (1.3.1-5ubuntu1) disco; urgency=medium

  * Merge from Debian unstable, remaining changes:
    - debian/control: have libpam-modules recommend update-motd package
    - debian/libpam-modules.postinst: Add PATH to /etc/environment if it's
      not present there or in /etc/security/pam_env.conf. (should send to
      Debian).
    - debian/libpam0g.postinst: only ask questions during update-manager when
      there are non-default services running.
    - debian/libpam0g.postinst: check if gdm is actually running before
      trying to reload it.
    - debian/libpam0g.postinst: the init script for 'samba' is now named
      'smbd' in Ubuntu, so fix the restart handling.
    - don't notify about xdm restarts during a release-upgrade
    - debian/patches-applied/ubuntu-rlimit_nice_correction: Explicitly
      initialise RLIMIT_NICE rather than relying on the kernel limits.
    - debian/patches-applied/pam_umask_usergroups_from_login.defs.patch:
      Deprecate pam_unix's explicit "usergroups" option and instead read it
      from /etc/login.def's "USERGROUP_ENAB" option if umask is only defined
      there. This restores compatibility with the pre-PAM behaviour of login.
    - debian/patches-applied/pam_motd-legal-notice: display the contents of
      /etc/legal once, then set a flag in the user's homedir to prevent
      showing it again.
    - debian/update-motd.5, debian/libpam-modules.manpages: add a manpage
      for update-motd, with some best practices and notes of explanation.
    - debian/patches/update-motd-manpage-ref: add a reference in pam_motd(8)
      to update-motd(5)
    - debian/local/common-session{,-noninteractive}: Enable pam_umask by
      default, now that the umask setting is gone from /etc/profile.
    - debian/local/pam-auth-update: Add the new md5sums for pam_umask addition.
    - debian/patches-applied/extrausers.patch: Add a pam_extrausers module
      that is basically just a copy of pam_unix but looks at
      /var/lib/extrausers/{group,passwd,shadow} instead of /etc/
    - debian/libpam-modules-bin.install: install the helper binaries for
      pam_extrausers to /sbin
    - debian/rules: Make pam_extrausers_chkpwd sguid shadow
    - Add lintian override for pam_extrausers_chkpwd

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 13 Feb 2019 23:16:59 -0800

pam (1.3.1-5) unstable; urgency=medium

  * xdm restart check was inverted in the prior upload; turn it the right
    way around
  * Correctly display the notification when a manual DM restart is needed.

 -- Steve Langasek <vorlon@debian.org>  Thu, 14 Feb 2019 07:08:47 +0000

pam (1.3.1-4ubuntu1) disco; urgency=medium

  * Merge from Debian unstable, remaining changes:
    - debian/control: have libpam-modules recommend update-motd package
    - debian/libpam-modules.postinst: Add PATH to /etc/environment if it's
      not present there or in /etc/security/pam_env.conf. (should send to
      Debian).
    - debian/libpam0g.postinst: only ask questions during update-manager when
      there are non-default services running.
    - debian/libpam0g.postinst: check if gdm is actually running before
      trying to reload it.
    - debian/libpam0g.postinst: the init script for 'samba' is now named
      'smbd' in Ubuntu, so fix the restart handling.
    - don't notify about xdm restarts during a release-upgrade
    - debian/patches-applied/ubuntu-rlimit_nice_correction: Explicitly
      initialise RLIMIT_NICE rather than relying on the kernel limits.
    - debian/patches-applied/pam_umask_usergroups_from_login.defs.patch:
      Deprecate pam_unix's explicit "usergroups" option and instead read it
      from /etc/login.def's "USERGROUP_ENAB" option if umask is only defined
      there. This restores compatibility with the pre-PAM behaviour of login.
    - debian/patches-applied/pam_motd-legal-notice: display the contents of
      /etc/legal once, then set a flag in the user's homedir to prevent
      showing it again.
    - debian/update-motd.5, debian/libpam-modules.manpages: add a manpage
      for update-motd, with some best practices and notes of explanation.
    - debian/patches/update-motd-manpage-ref: add a reference in pam_motd(8)
      to update-motd(5)
    - debian/local/common-session{,-noninteractive}: Enable pam_umask by
      default, now that the umask setting is gone from /etc/profile.
    - debian/local/pam-auth-update: Add the new md5sums for pam_umask addition.
    - debian/patches-applied/extrausers.patch: Add a pam_extrausers module
      that is basically just a copy of pam_unix but looks at
      /var/lib/extrausers/{group,passwd,shadow} instead of /etc/
    - debian/libpam-modules-bin.install: install the helper binaries for
      pam_extrausers to /sbin
    - debian/rules: Make pam_extrausers_chkpwd sguid shadow
    - Add lintian override for pam_extrausers_chkpwd
  * Dropped changes, included in Debian:
    - Fix the name of the samba service being restarted
    - Fix debian/patches-applied/update-motd to apply the correct changes
      to the README

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 13 Feb 2019 15:43:33 -0800

pam (1.3.1-4) unstable; urgency=medium

  * Fix the name of the samba services to be restarted on upgrade.

 -- Steve Langasek <vorlon@debian.org>  Wed, 13 Feb 2019 23:39:03 +0000

pam (1.3.1-3) unstable; urgency=medium

  * Fix debian/patches-applied/update-motd to apply the correct changes
    to the README (should be forwarded to Debian)


=== debian/control ===
--- 
+++ 
@@ -1,20 +1,20 @@
 Source: pam
 Section: libs
 Priority: optional
-Uploaders: Sam Hartman <hartmans@debian.org>, Roger Leigh <rleigh@debian.org>
+Uploaders: Sam Hartman <hartmans@debian.org>
+XSBC-Original-Maintainer: Steve Langasek <vorlon@debian.org>
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Steve Langasek <vorlon@debian.org>
-Standards-Version: 3.9.8
-Build-Depends: libcrack2-dev (>= 2.8), bzip2, debhelper (>= 9), quilt (>= 0.48-1), flex, libdb-dev, libselinux1-dev [linux-any], po-debconf, dh-autoreconf, autopoint, libaudit-dev [linux-any], pkg-config, libfl-dev, libfl-dev:native, docbook-xsl, docbook-xml, xsltproc, libxml2-utils, w3m
+Standards-Version: 4.3.0
+Build-Depends: libcrack2-dev (>= 2.8), bzip2, debhelper (>= 9), quilt (>= 0.48-1), flex, libdb-dev, libselinux1-dev [linux-any], po-debconf, dh-autoreconf, autopoint, libaudit-dev [linux-any] <!stage1>, pkg-config, libfl-dev, libfl-dev:native, docbook-xsl, docbook-xml, xsltproc, libxml2-utils, w3m
 Build-Conflicts-Indep: fop
 Build-Conflicts: libdb4.2-dev, libxcrypt-dev
 Vcs-Bzr: https://code.launchpad.net/~ubuntu-core-dev/pam/ubuntu
-XS-Debian-Vcs-Bzr: https://alioth.debian.org/scm/loggerhead/pkg-pam/debian/sid
-XS-Debian-Vcs-Browser: https://alioth.debian.org/scm/loggerhead/pkg-pam/debian/sid/files
+XS-Debian-Vcs-Browser: https://salsa.debian.org/vorlon/pam
+XS-Debian-Vcs-Git: https://salsa.debian.org/vorlon/pam.git
 Homepage: http://www.linux-pam.org/
+Rules-Requires-Root: binary-targets
 
 Package: libpam0g
-Priority: required
 Architecture: any
 Multi-Arch: same
 Replaces: libpam0g-util
@@ -34,7 +34,7 @@
 Priority: required
 Architecture: any
 Multi-Arch: same
-Pre-Depends: ${shlibs:Depends}, ${misc:Depends}, libpam0g (>= 1.1.3-2),
+Pre-Depends: ${shlibs:Depends}, ${misc:Depends},
 	libpam-modules-bin (= ${binary:Version})
 Conflicts: libpam-motd, libpam-mkhomedir, libpam-umask
 Replaces: libpam0g-util, libpam-umask
@@ -70,7 +70,6 @@
 
 Package: libpam0g-dev
 Section: libdevel
-Priority: optional
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, libpam0g (= ${binary:Version}), libc6-dev|libc-dev
@@ -86,7 +85,6 @@
 
 Package: libpam-cracklib
 Section: admin
-Priority: optional
 Architecture: any
 Multi-Arch: same
 Replaces: libpam0g-cracklib, libpam-modules (<< 1.1.0-3)
@@ -98,7 +96,6 @@
 Package: libpam-doc
 Provides: pam-doc
 Section: doc
-Priority: optional
 Architecture: all
 Depends: ${misc:Depends}
 Description: Documentation of PAM

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 DEB_LDFLAGS_MAINT_APPEND += -lpthread
 endif
 
-DEB_HOST_MULTIARCH	:= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+DEB_HOST_MULTIARCH	?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 LC_COLLATE=C
 export LC_COLLATE
@@ -21,7 +21,7 @@
 	dh $@ --with quilt,autoreconf
 
 # avoid libaudit-dev when bootstrapping
-ifneq (,$(filter $(DEB_BUILD_PROFILE),stage1))
+ifneq (,$(filter stage1,$(DEB_BUILD_PROFILES)))
   CONFIGURE_OPTS += --disable-audit
 endif  
 
@@ -30,7 +30,6 @@
 		--libdir=/lib/$(DEB_HOST_MULTIARCH) \
 		--enable-isadir=/lib/security \
 		$(CONFIGURE_OPTS)
-	chmod 775 modules/pam_faillock/tst-pam_faillock
 
 # .install files don't have "except for" handling, so we need to exclude
 # our module that doesn't match right here

## pam 1.3.1.11

=== debian/changelog ===
pam (1.3.1.11-1+eagle) unstable; urgency=medium

  * update

 -- Steve Langasek <vorlon@debian.org>  Sat, 27 Feb 2021 16:22:19 +0800

pam (1.3.1.3) unstable; urgency=medium

  * Version fallback.

 -- system-dev <system-dev@uniontech.com>  Wed, 02 Dec 2020 13:36:20 +0800

pam (1.3.1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * 

 -- Steve Langasek <system-dev@uniontech.com>  Mon, 02 Nov 2020 17:10:27 +0800

pam (1.3.1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * 

 -- Steve Langasek <system-dev@uniontech.com>  Sun, 01 Nov 2020 13:18:27 +0800

pam (1.3.1-6) unstable; urgency=medium

  * Non-maintainer upload.
  * 

 -- Steve Langasek <system-dev@uniontech.com>  Fri, 30 Oct 2020 14:59:45 +0800

## pam 1.3.1.12

=== debian/changelog ===
pam (1.3.1.12-1) unstable; urgency=medium

  * update

 -- Steve Langasek <vorlon@debian.org>  Wed, 02 Jun 2021 14:54:30 +0800

pam (1.3.1.11-1+dde) unstable; urgency=medium

  * update for version number.
  * 

 -- system-dev <system-dev@untiontech.com>  Tue, 23 Mar 2021 10:16:17 +0800

=== debian/rules ===
--- 
+++ 
@@ -13,6 +13,7 @@
 export LC_COLLATE
 
 export QUILT_PATCH_DIR = debian/patches-applied
+export DEB_BUILD_MAINT_OPTIONS=hardening=-fortify
 
 d = $(CURDIR)/debian
 dl = $(d)/local
@@ -62,6 +63,4 @@
 ifneq (,$(findstring libpam-modules, $(shell dh_listpackages)))
 	chgrp shadow $(d)/libpam-modules-bin/sbin/unix_chkpwd
 	chmod 02755 $(d)/libpam-modules-bin/sbin/unix_chkpwd
-	chgrp shadow $(d)/libpam-modules-bin/sbin/pam_extrausers_chkpwd
-	chmod 02755 $(d)/libpam-modules-bin/sbin/pam_extrausers_chkpwd
 endif

## pam 1.4.0

=== debian/changelog ===
pam (1.4.0-11ubuntu2) jammy; urgency=medium

  * Drop Recommends on update-motd which is no longer used and is not being
    maintained.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 23 Mar 2022 18:43:24 -0700

pam (1.4.0-11ubuntu1) jammy; urgency=medium

  * Merge from Debian unstable, remaining changes:
    - debian/control: have libpam-modules recommend update-motd package
    - debian/libpam-modules.postinst: Add PATH to /etc/environment if it's
      not present there or in /etc/security/pam_env.conf. (should send to
      Debian).
    - debian/libpam0g.postinst: only ask questions during update-manager when
      there are non-default services running.
    - debian/libpam0g.postinst: check if gdm is actually running before
      trying to reload it.
    - debian/patches-applied/ubuntu-rlimit_nice_correction: Explicitly
      initialise RLIMIT_NICE rather than relying on the kernel limits.
    - debian/patches-applied/pam_umask_usergroups_from_login.defs.patch:
      Deprecate pam_unix's explicit "usergroups" option and instead read it
      from /etc/login.def's "USERGROUP_ENAB" option if umask is only defined
      there. This restores compatibility with the pre-PAM behaviour of login.
    - debian/patches-applied/pam_motd-legal-notice: display the contents of
      /etc/legal once, then set a flag in the user's homedir to prevent
      showing it again.
    - debian/update-motd.5, debian/libpam-modules.manpages: add a manpage
      for update-motd, with some best practices and notes of explanation.
    - debian/patches/update-motd-manpage-ref: add a reference in pam_motd(8)
      to update-motd(5)
    - debian/local/common-session{,-noninteractive}: Enable pam_umask by
      default, now that the umask setting is gone from /etc/profile.
    - debian/local/pam-auth-update: Add the new md5sums for pam_umask addition.
    - debian/patches-applied/extrausers.patch: Add a pam_extrausers module
      that is basically just a copy of pam_unix but looks at
      /var/lib/extrausers/{group,passwd,shadow} instead of /etc/
    - debian/libpam-modules-bin.install: install the helper binaries for
      pam_extrausers to /sbin
    - debian/rules: Make pam_extrausers_chkpwd sguid shadow
    - Add lintian override for pam_extrausers_chkpwd
    - Disable custom daemon restart detection code if needrestart is available
    - d/libpam-modules.postinst: Add /snap/bin to $PATH in /etc/environment
  * Dropped changes, included in Debian:
    - d/p/pam_env-allow-environment-files-without-EOL-at-EOF.patch:
      Allow /etc/environment files without EOL at EOF.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 07 Feb 2022 08:51:50 -0800

pam (1.4.0-11) unstable; urgency=medium

  * Whitespace fixes in debconf templates.

  [ Sergio Durigan Junior ]
  * d/p/pam_env-allow-environment-files-without-EOL-at-EOF.patch:
    Allow /etc/environment files without EOL at EOF.  In other words,
    allow files without a newline at the end. (LP: #1953201)

 -- Steve Langasek <vorlon@debian.org>  Mon, 06 Dec 2021 11:11:31 -0800

pam (1.4.0-10ubuntu2) jammy; urgency=medium

  [ Sergio Durigan Junior ]
  * d/p/pam_env-allow-environment-files-without-EOL-at-EOF.patch:
    Allow /etc/environment files without EOL at EOF.  In other words,
    allow files without a newline at the end. (LP: #1953201)

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 06 Dec 2021 11:05:28 -0800

pam (1.4.0-10ubuntu1) jammy; urgency=medium

  * Merge from Debian unstable (LP: #1916509). Remaining changes:
    - debian/control: have libpam-modules recommend update-motd package
    - debian/libpam-modules.postinst: Add PATH to /etc/environment if it's
      not present there or in /etc/security/pam_env.conf. (should send to
      Debian).
    - debian/libpam0g.postinst: only ask questions during update-manager when
      there are non-default services running.
    - debian/libpam0g.postinst: check if gdm is actually running before
      trying to reload it.
    - debian/patches-applied/ubuntu-rlimit_nice_correction: Explicitly
      initialise RLIMIT_NICE rather than relying on the kernel limits.
    - debian/patches-applied/pam_umask_usergroups_from_login.defs.patch:
      Deprecate pam_unix's explicit "usergroups" option and instead read it
      from /etc/login.def's "USERGROUP_ENAB" option if umask is only defined
      there. This restores compatibility with the pre-PAM behaviour of login.
    - debian/patches-applied/pam_motd-legal-notice: display the contents of
      /etc/legal once, then set a flag in the user's homedir to prevent
      showing it again.
    - debian/update-motd.5, debian/libpam-modules.manpages: add a manpage
      for update-motd, with some best practices and notes of explanation.
    - debian/patches/update-motd-manpage-ref: add a reference in pam_motd(8)
      to update-motd(5)
    - debian/local/common-session{,-noninteractive}: Enable pam_umask by
      default, now that the umask setting is gone from /etc/profile.
    - debian/local/pam-auth-update: Add the new md5sums for pam_umask addition.
    - debian/patches-applied/extrausers.patch: Add a pam_extrausers module
      that is basically just a copy of pam_unix but looks at
      /var/lib/extrausers/{group,passwd,shadow} instead of /etc/
    - debian/libpam-modules-bin.install: install the helper binaries for
      pam_extrausers to /sbin
    - debian/rules: Make pam_extrausers_chkpwd sguid shadow
    - Add lintian override for pam_extrausers_chkpwd
    - Disable custom daemon restart detection code if needrestart is available
    - d/libpam-modules.postinst: Add /snap/bin to $PATH in /etc/environment
  * Dropped changes, obsoleted:
    - pam_motd: Export MOTD_SHOWN=pam after showing MOTD
    - Return only PAM_IGNORE or error from pam_motd
    - Fix patches to fix FTBFS
    - Backport pam_faillock module from pam 1.4.0
    - debian/patches-applied/nullok_secure-compat.patch: Support
      nullok_secure as a deprecated alias for nullok.


=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Build-Depends: libcrack2-dev (>= 2.8), bzip2, debhelper (>= 9), quilt (>= 0.48-1), flex, libdb-dev, libselinux1-dev [linux-any], po-debconf, dh-autoreconf, autopoint, libaudit-dev [linux-any] <!stage1>, pkg-config, libfl-dev, libfl-dev:native, docbook-xsl, docbook-xml, xsltproc, libxml2-utils, w3m
 Build-Conflicts-Indep: fop
 Build-Conflicts: libdb4.2-dev, libxcrypt-dev
-Vcs-Bzr: https://code.launchpad.net/~ubuntu-core-dev/pam/ubuntu
+Vcs-Git: https://code.launchpad.net/~ubuntu-core-dev/ubuntu/+source/pam/+git/pam
 XS-Debian-Vcs-Browser: https://salsa.debian.org/vorlon/pam
 XS-Debian-Vcs-Git: https://salsa.debian.org/vorlon/pam.git
 Homepage: http://www.linux-pam.org/
@@ -38,7 +38,6 @@
 	libpam-modules-bin (= ${binary:Version})
 Conflicts: libpam-motd, libpam-mkhomedir, libpam-umask
 Replaces: libpam0g-util, libpam-umask
-Recommends: update-motd
 Provides: libpam-motd, libpam-mkhomedir, libpam-umask
 Description: Pluggable Authentication Modules for PAM
  This package completes the set of modules for PAM. It includes the

=== debian/watch ===
version=4
  https://github.com/linux-pam/linux-pam/releases .*/\S+-([\d.]+)\.tar\.xz
